<template>
  <!-- <router-link to="/"><img src="../assets/icon/logo-cropped-color.svg" alt="logo" class="h-32 w-32 absolute"></router-link> -->
  <div class="flex h-screen">
    <router-link to="/login"><img src="../assets/icon/arrow-back.svg" alt="logo" class="h-8 w-8 absolute top-4 left-4">
    </router-link>
    <div
        class=" relative left-[20%] flex flex-1 flex-col justify-center py-12 px-4 sm:px-6 lg:flex-none lg:px-20 xl:px-24 z-10">
      <div class="bottom-[20%] height-[80%] relative mx-auto w-full max-w-sm lg:w-96 relative z-50">
        <div>
          <h2 class="mt-6 text-3xl font-bold tracking-tight text-gray-900">Welcome new mangataker</h2>
        </div>

        <div class="mt-8">
          <div class="mt-6">
            <form @submit.prevent="submit" method="POST" class="space-y-6">
              <div>
                <label for="email" class="block text-sm font-medium text-gray-700">Email</label>
                <div class="mt-1">
                  <input id="email" name="email" type="email" autocomplete="email" required v-model="email"
                         class="block w-full appearance-none rounded-md border border-gray-300 px-3 py-2 placeholder-gray-400 shadow-sm focus:border-indigo-500 focus:outline-none focus:ring-indigo-500 sm:text-sm"/>
                </div>
              </div>

              <div>
                <label for="pseudo" class="block text-sm font-medium text-gray-700">Pseudo</label>
                <div class="mt-1">
                  <input id="pseudo" name="pseudo" type="text" autocomplete="pseudo" required v-model="username"
                         class="block w-full appearance-none rounded-md border border-gray-300 px-3 py-2 placeholder-gray-400 shadow-sm focus:border-indigo-500 focus:outline-none focus:ring-indigo-500 sm:text-sm"/>
                </div>
              </div>

              <div class="space-y-1">
                <label for="password" class="block text-sm font-medium text-gray-700">Password</label>
                <div class="mt-1">
                  <input id="password" name="password" type="password" autocomplete="current-password" required
                         v-model="password"
                         class="block w-full appearance-none rounded-md border border-gray-300 px-3 py-2 placeholder-gray-400 shadow-sm focus:border-indigo-500 focus:outline-none focus:ring-indigo-500 sm:text-sm"/>
                </div>
              </div>

              <div class="space-y-1">
                <label for="confirm-password" class="block text-sm font-medium text-gray-700">Confirm Password</label>
                <div class="mt-1">
                  <input id="confirm-password" name="confirm-password" type="password" autocomplete="current-password"
                         required v-model="passwordConfirmation"
                         class="block w-full appearance-none rounded-md border border-gray-300 px-3 py-2 placeholder-gray-400 shadow-sm focus:border-indigo-500 focus:outline-none focus:ring-indigo-500 sm:text-sm"/>
                </div>
              </div>

              <div>
                <button type="submit"
                        class="flex w-full justify-center rounded-md border border-transparent bg-indigo-600 py-2 px-4 text-sm font-medium text-white shadow-sm hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2">
                  Register
                </button>
              </div>
            </form>
          </div>
        </div>
      </div>
      <img class="absolute bottom-0 left-0 select-none z-0" src="../assets/icon/titan-login.png" alt="Titan"/>
    </div>
    <div class="relative hidden w-0 flex-1 lg:block">
      <img class="absolute right-0 h-full object-cover" src="../assets/pictures/snkLoginRight.jpeg" alt=""/>
    </div>
  </div>
</template>

<script>
import title from "../helpers/title.js";

export default {
  name: "Register",
  data() {
    return {
      email: null,
      password: null,
      passwordConfirmation: null,
      username: null
    }
  },

  created() {
    title("Register")
  },

  methods: {
    submit() {
      if (this.password !== this.passwordConfirmation){
        alert('Passwords does not match')
      }

      const params = new URLSearchParams();
      params.append('email', this.email);
      params.append('password', this.password);
      params.append('username', this.username);

      this.$axios.post('/users', params, {
        headers: {'Access-Control-Allow-Origin': 'http://localhost/* , http://127.0.0.1/*'}
      }).then(({data, status}) => {
        if (status === 201) {
          params.delete('username')

          this.$axios.post('/login', params,).then(({data, status}) => {
            if (status === 200) {
              this.$store.setUser(data.user, data.auth, data.token)
              this.$router.push({path: '/'})
            }
          })
        } else {
          alert(status)
        }

      }).catch(({response}) => {
        alert(response.data.code + ' ' + response.data.description)
      })
    }
  }
}
// check vuelidate
</script>

<style scoped>
:host {
  overflow: hidden;
}
</style>